Aller au contenu
scango.ch
Français
Esc
naviguerouvrir⌘Japerçu

Obtenir un magasin par ID

Récupère un magasin par id.

GET/stores/{storeId}
Autorisation
AutorisationJeton Bearer (API key) · headerobligatoire
Clé API de l’organisation.
Paramètres de chemin
storeIdstringobligatoire
Réponses
200Détails du magasin
dataStoreobligatoire
Store location. Payment integration secrets are never returned.
Afficher les propriétés
idstring
namestring
citystring
Human-readable store label within the organization
addressstring
zipCodestring
vatNumberstring
paymentCashboolean
paymentPaytecboolean
paymentZahlsboolean
paymentZahlsOfflineboolean
paymentCashOfflineboolean
showSupplierboolean
logoUrlstring
languageMainstring
Autorisé:deenfrit
deletedboolean
403Non autorisé
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
404Introuvable
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
Requête
curl -X GET "https://dashboard.scango.ch/api/v1/stores/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Réponse
{
  "data": {
    "id": "string",
    "name": "string",
    "city": "string",
    "address": "string",
    "zipCode": "string",
    "vatNumber": "string",
    "paymentCash": true,
    "paymentPaytec": true,
    "paymentZahls": true,
    "paymentZahlsOffline": true,
    "paymentCashOffline": true,
    "showSupplier": true,
    "logoUrl": "string",
    "languageMain": "de",
    "deleted": true
  }
}